function tinyplugin() {
	// Return plugin value to tinyMCE
    return "[gplusbtn-plugin]";
}

// Start Tiny MCE plugin
(function() {

    tinymce.create('tinymce.plugins.gplusbtnplugin', {

		// When initiated:
        init : function(ed, url){
			
			// Create dialog command
			ed.addCommand('gplusbtnplugin_editShortcode', function() {
				ed.windowManager.open({
				  file : url + '/../mce_button_dialog.php',
				  width : 450,
				  height : 400,
				  inline : 1
				}, {
				  plugin_url : url
				});
			});

			
			// Add the like locker button to the toolbar
            ed.addButton('gplusbtnplugin', {
				
                title : 'Insert Google +1 Button',
				
				cmd : 'gplusbtnplugin_editShortcode',				
				
				// Define the image for the button
                image: url + "/../images/button.png"
				
            }); // end addbutton
			
        },

		// Set MCE plugin info
        getInfo : function() {
			
            return {
                longname : 'Plus One Pro',
                author : 'Rapid Crush, Inc.',
                authorurl : 'http://plusoneprofits.com/',
                infourl : 'http://plusoneprofits.com/',
                version : "1.0"
            };
			
        } // end set info
		
    }); // End main plugin init

	// Finally add functionality to toolbar
    tinymce.PluginManager.add('gplusbtnplugin', tinymce.plugins.gplusbtnplugin);
    
})(); // end plugin